View Issue Details

IDProjectCategoryView StatusLast Update
00305062.x IDE BugsSyntax ErrorsPublic2019-02-27 14:38
ReporterStewart BishopAssigned ToRussell Kay 
PriorityHighSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.2 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030506: Syntax Errors: Macros which aren't referenced don't throw the warning
DescriptionIf you define a macro and never use it then the warning isn't shown in the gutter.

#macro TEST global.test
#macro NEVER_USED global.test // bug 1: no warning

global.test = 0; // bug 2: "variable test only referenced once"
TEST = 1;
Steps To Reproduce1) Put the above code in the room creation code
2) See that the warning never appears on the macro definition
TagsIDE
2.x IDE Found In2.2.2.393
2.x Runtime Found In2.2.2.308
2.x IDE Verified Inv2.2.2.396
2.x Runtime Verified Inv2.2.2.311

Activities

Russell Kay

2019-02-20 16:57

Manager   ~0063273

Fixed in github

Dan

2019-02-22 10:39

Adminstrator   ~0063282

IDE 394+

Scott Dunbar

2019-02-27 14:38

Adminstrator   ~0063365

Closing. Verified as fixed in:

IDE v2.2.2.396 Runtime v2.2.2.311